Macro Draw 2D Function

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Macro Draw 2D Function and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎svenska

Macro Draw 2D Function.png Draw 2D Function

Beschreibung
Zeichnen Sie eine durch eine "Gleichung" beschriebene Funktion [z = F (x)] (Z-X-Ebene).

Versionsmakro : 1.0
Datum der letzten Änderung : 2011-08-01
FreeCAD version : All
Herunterladen : ToolBar Icon
Autor
unknown
Herunterladen
ToolBar Icon
Links
Macro-Version
1.0
Datum der letzten Änderung
2011-08-01
FreeCAD-Version(s)
All
Standardverknüpfung
None
Siehe auch
None


Beschreibung

Verwenden Sie es, um eine Funktion zu zeichnen, die durch eine "Gleichung" beschrieben wird [z = F (x)] (Z-X-Ebene). Das hier ausgeführte Beispiel erzeugt einen Parabol. Hat keinen Dialog Muss definiert werden:

F = in der Funktion verwendete Variable,
X = Anfangswert von x,
Nb = Nummer der Stufe,
Z = Funktion mit x ausdrücken
ZZ = Funktion Express mit xx

Skript

ToolBar Icon Macro Draw 2D Function.png

Macro_Draw_2D_Function.FCMacro

# F = variable used in the function,
# X = initial value of x,
# Nb = Number of step,
# Z = function express with x
# ZZ = function express with xx

import FreeCAD, FreeCADGui, Part
import math
F=800
X=-500
Nb=10
Step=1000/Nb
Y=0
for I in range(Nb):
	XX=X+Step 
 	Z=X*X/(4*F)
 	ZZ=XX*XX/(4*F)
 	if I==0:
 		print( "Le test est vrai !")
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
 		WWire=Part.Wire([nomme])
 	else :
 		print( "Le test est 2 !")
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))		
 		WWire=Part.Wire([WWire,nomme])
 	X=XX 
 
Part.show(WWire)